.Dd June 12, 2017
.Dt OOOK-CLIENT 1
.Sh NAME
.Nm oook-client
.Nd Client for the Oook backup system
.Sh SYNOPSIS
.Nm
.Sh DESCRIPTION
.Nm
is the standard client for the Oook backup system in the University of
Cambridge Information Services.
It is expected to be invoked by SSH from an Oook server.
When invoked,
.Nm
reads a single line from its standard input.  That line must be of one of
these forms:
.Bl -item
.It
.Ic full Ar filesystem
.It
.Ic incr Ar filesystem
.El
.Pp
It reads
.Pa /etc/oook/fslist
to find a line whose first word is
.Ar filesystem
and uses the remainder of that line to construct a command to execute.
The second word of the line is prefixed with
.Li oook-
and used as the name of the command to invoke.
Any remaining words on the line are used as arguments to that command, and
the final two arguments to the command are
.Ic full
or
.Ic incr
and
.Ar filesystem .
If there is a line in
.Pa /etc/oook/fslist
whose first word is
.Ql * ,
this will match any requested filesystem.
.Sh FILES
.Bl -tag -width Pa
.It Pa /etc/oook/fslist
List of filesystems and how to back them up.
.El
.Sh EXAMPLES
If
.Pa /etc/oook/fslist
contains this:
.Bd -literal -offset indent
/ dump-ext2
/home with-lvm2-snapshot dump-xfs
* dump-gnutar
/tmp ignore
.Ed
.Pp
Then requesting
.Ql incr /home
will cause
.Nm
to invoke
.Ql oook-with-lvm2-snapshot dump-xfs incr /home .
.Sh SEE ALSO
.Xr oook-dtrt 1 ,
.Xr oook-dump-ext2 1 ,
.Xr oook-dump-xfs 1 .
.Sh AUTHORS
.Nm
and this manual page were written by Ben Harris for the University of
Cambridge Information Services.
